FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CRUX > CRUX

 
 
LinkBack Thread Tools
 
Old 05-12-2010, 08:51 AM
parijat chauhan
 
Default bluez problem.

hi guys,
i am in problem that i want to use (i have to) gprs over my mobile
phone using bluetooth.
but i dont know how to authenticate connection between phone and bluez without
gnome-bluetooth-applet. i installed bluez 2.25 version from source,
and than tried to use bluepin utility which give error that pygtk
module not found. what should i do now??


Regards,

Parijat Chauhan
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 05-13-2010, 02:59 PM
acrux
 
Default bluez problem.

On Wed, 12 May 2010 14:21:46 +0530
parijat chauhan <santirana2010@gmail.com> wrote:

> hi guys,
> i am in problem that i want to use (i have to) gprs over my mobile
> phone using bluetooth.
> but i dont know how to authenticate connection between phone and bluez without
> gnome-bluetooth-applet. i installed bluez 2.25 version from source,
> and than tried to use bluepin utility which give error that pygtk
> module not found. what should i do now??
>

your problem isn't CRUX specific... and bluez is now 4.64 version.

Anyway, to pair a device from command line try with:
bluez-simple-agent hci0 00:11:22:33:44:55


--n
--
acrux <acrux_it@libero.it>
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 05-13-2010, 04:17 PM
Juergen Daubert
 
Default bluez problem.

On Thu, May 13, 2010 at 04:59:01PM +0200, acrux wrote:
> On Wed, 12 May 2010 14:21:46 +0530
> parijat chauhan <santirana2010@gmail.com> wrote:
>
> > hi guys,
> > i am in problem that i want to use (i have to) gprs over my mobile
> > phone using bluetooth.
> > but i dont know how to authenticate connection between phone and bluez without
> > gnome-bluetooth-applet. i installed bluez 2.25 version from source,
> > and than tried to use bluepin utility which give error that pygtk
> > module not found. what should i do now??
> >
>
> your problem isn't CRUX specific... and bluez is now 4.64 version.

Sorry, but partly it is. If progams provided by bluez-utils are
depending on pygtk, than pygtk should be listed as a dependency.


Greetings
Juergen

--
Juergen Daubert | mailto:jue@jue.li
Korb, Germany | http://jue.li/crux

_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 05-13-2010, 04:35 PM
parijat chauhan
 
Default bluez problem.

hey acrux ,
is bluez-simple-agent is some utility available in bluez-4??

and to Jue,
i want a minimal system supporting bluetooth but if i use bluez-4 , it
needs complete gnome-bluetooth for authenticating devices with
dependency of whole gnome , or kde-bluetooth with kde which i don't
like. so i have to install 2.25 with little dependencies.

it would be better if someone would have written a purely command-line
utility for this purpose , or someone can give me a direction for
that.

On 5/13/10, Juergen Daubert <jue@jue.li> wrote:
> On Thu, May 13, 2010 at 04:59:01PM +0200, acrux wrote:
>> On Wed, 12 May 2010 14:21:46 +0530
>> parijat chauhan <santirana2010@gmail.com> wrote:
>>
>> > hi guys,
>> > i am in problem that i want to use (i have to) gprs over my mobile
>> > phone using bluetooth.
>> > but i dont know how to authenticate connection between phone and bluez
>> > without
>> > gnome-bluetooth-applet. i installed bluez 2.25 version from source,
>> > and than tried to use bluepin utility which give error that pygtk
>> > module not found. what should i do now??
>> >
>>
>> your problem isn't CRUX specific... and bluez is now 4.64 version.
>
> Sorry, but partly it is. If progams provided by bluez-utils are
> depending on pygtk, than pygtk should be listed as a dependency.
>
>
> Greetings
> Juergen
>
> --
> Juergen Daubert | mailto:jue@jue.li
> Korb, Germany | http://jue.li/crux
>
> _______________________________________________
> CRUX mailing list
> CRUX@lists.crux.nu
> http://lists.crux.nu/mailman/listinfo/crux
>


--
Parijat Chauhan
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 
Old 05-13-2010, 08:00 PM
Predrag Ivanovic
 
Default bluez problem.

On Thu, 13 May 2010 22:05:42 +0530
parijat chauhan wrote:

>hey acrux ,
>is bluez-simple-agent is some utility available in bluez-4??

It is a script 'simple agent' in bluez-4.64/test.
You will need to install pygobject from opt to make it work, I think.

>and to Jue,
>i want a minimal system supporting bluetooth but if i use bluez-4 , it
>needs complete gnome-bluetooth for authenticating devices with
>dependency of whole gnome , or kde-bluetooth with kde which i don't
>like. so i have to install 2.25 with little dependencies.
>
>it would be better if someone would have written a purely command-line
>utility for this purpose , or someone can give me a direction for
>that.

If you want GUI, Blueman is your best bet(PyGTK based).
http://blueman-project.org/
Port for it is available from portdb, almost all deps for it are in opt, apart from
obex-data-server, which is also on portdb.
So, prepare to get your hands a bit dirty.

Pedja
--
appears to be a Slow/Narrow SCSI-0 Interface problem
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux
 

Thread Tools




All times are GMT. The time now is 04:07 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org